// POST /v1/connected_apps/clients/search
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
limit: 10,
};
client.ConnectedApp.Clients.Search(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// POST /v1/connected_apps/clients/search
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/connectedapps/clients"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &clients.SearchParams{
Limit: 10,
}
resp, err := client.ConnectedApp.Clients.Search(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// POST /v1/connected_apps/clients/search
package com.example;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.connectedappsclients.SearchRequest;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
SearchRequest params = new SearchRequest();
params.setLimit(10);
Object result = StytchB2BClient.getConnectedApp().getClients().search(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// POST /v1/connected_apps/clients/search
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.consumer.models.connectedappsclients.SearchRequest
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.connectedApp.clients.search(
SearchRequest(
limit = 10,
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// POST /v1/connected_apps/clients/search
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
limit: 10,
};
client.connectedApp.clients.search(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->connected_app->clients->search([
'limit' => 10,
]);# POST /v1/connected_apps/clients/search
from stytch import B2BClient
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.connected_app.clients.search(
limit=10,
)
print(resp)
# frozen_string_literal: true
# POST /v1/connected_apps/clients/search
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.connected_app.clients.search(
limit: 10
)
puts resp// POST /v1/connected_apps/clients/search
use stytch::b2b::client::Client;
use stytch::consumer::connected_apps_clients::SearchRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.connected_app.clients.search(
SearchRequest{
limit: 10,
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# POST /v1/connected_apps/clients/search
curl --request POST \
--url https://test.stytch.com/v1/connected_apps/clients/search \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-d '{
"limit": 10
}'{
"request_id": "<string>",
"connected_apps": [
{
"client_id": "<string>",
"client_name": "<string>",
"client_description": "<string>",
"status": "<string>",
"full_access_allowed": true,
"client_type": "<string>",
"redirect_urls": [
"<string>"
],
"access_token_expiry_minutes": 123,
"access_token_template_content": "<string>",
"post_logout_redirect_urls": [
"<string>"
],
"bypass_consent_for_offline_access": true,
"creation_method": "<string>",
"id_token_template_content": "<string>",
"client_secret_last_four": "<string>",
"next_client_secret_last_four": "<string>",
"access_token_custom_audience": "<string>",
"logo_url": "<string>",
"client_id_metadata_url": "<string>"
}
],
"results_metadata": {
"total": 123,
"next_cursor": "<string>"
},
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Search Connected Apps
Search for Connected Apps.
// POST /v1/connected_apps/clients/search
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
limit: 10,
};
client.ConnectedApp.Clients.Search(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// POST /v1/connected_apps/clients/search
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/connectedapps/clients"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &clients.SearchParams{
Limit: 10,
}
resp, err := client.ConnectedApp.Clients.Search(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// POST /v1/connected_apps/clients/search
package com.example;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.connectedappsclients.SearchRequest;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
SearchRequest params = new SearchRequest();
params.setLimit(10);
Object result = StytchB2BClient.getConnectedApp().getClients().search(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// POST /v1/connected_apps/clients/search
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.consumer.models.connectedappsclients.SearchRequest
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.connectedApp.clients.search(
SearchRequest(
limit = 10,
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// POST /v1/connected_apps/clients/search
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
limit: 10,
};
client.connectedApp.clients.search(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->connected_app->clients->search([
'limit' => 10,
]);# POST /v1/connected_apps/clients/search
from stytch import B2BClient
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.connected_app.clients.search(
limit=10,
)
print(resp)
# frozen_string_literal: true
# POST /v1/connected_apps/clients/search
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.connected_app.clients.search(
limit: 10
)
puts resp// POST /v1/connected_apps/clients/search
use stytch::b2b::client::Client;
use stytch::consumer::connected_apps_clients::SearchRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.connected_app.clients.search(
SearchRequest{
limit: 10,
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# POST /v1/connected_apps/clients/search
curl --request POST \
--url https://test.stytch.com/v1/connected_apps/clients/search \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-d '{
"limit": 10
}'{
"request_id": "<string>",
"connected_apps": [
{
"client_id": "<string>",
"client_name": "<string>",
"client_description": "<string>",
"status": "<string>",
"full_access_allowed": true,
"client_type": "<string>",
"redirect_urls": [
"<string>"
],
"access_token_expiry_minutes": 123,
"access_token_template_content": "<string>",
"post_logout_redirect_urls": [
"<string>"
],
"bypass_consent_for_offline_access": true,
"creation_method": "<string>",
"id_token_template_content": "<string>",
"client_secret_last_four": "<string>",
"next_client_secret_last_four": "<string>",
"access_token_custom_audience": "<string>",
"logo_url": "<string>",
"client_id_metadata_url": "<string>"
}
],
"results_metadata": {
"total": 123,
"next_cursor": "<string>"
},
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Authorizations
Body
Request type
The cursor field allows you to paginate through your results. Each result array is limited to 1000 results. If your query returns more than 1000 results, you will need to paginate the responses using the cursor. If you receive a response that includes a non-null next_cursor in the results_metadata object, repeat the search call with the next_cursor value set to the cursor field to retrieve the next page of results. Continue to make search calls until the next_cursor in the response is null.
The number of search results to return per page. The default limit is 100. A maximum of 1000 results can be returned by a single search request. If the total size of your result set is greater than one page size, you must paginate the response. See the cursor field.
x >= 0Response
Successful response